## tcpserversink tcpserversink — Send data as a server over the network via TCP |

## Synopsis

                        GstTCPServerSink;

## Object Hierarchy

      GObject
       +----GstObject
             +----GstElement
                   +----GstBaseSink
                         +----GstMultiFdSink
                               +----GstTCPServerSink

## Properties

      "host"                     gchar*                : Read / Write
      "port"                     gint                  : Read / Write

## Description

### Example launch line

    # server:
    gst-launch fdsrc fd=1 ! tcpserversink protocol=none port=3000
    # client:
    gst-launch tcpclientsrc protocol=none port=3000 ! fdsink fd=2

## Synopsis

### Element Information

plugin | tcp
author | Thomas Vander Stichele <thomas at apestaart dot org>
class | Sink/Network

### Element Pads

name | sink
direction | sink
presence | always
details | ANY

## Details

### GstTCPServerSink

    typedef struct _GstTCPServerSink GstTCPServerSink;

Opaque data structure.

## Property Details

### The `"host"` property

      "host"                     gchar*                : Read / Write

The host/IP to send the packets to.

Default value: "localhost"

### The `"port"` property

      "port"                     gint                  : Read / Write

The port to send the packets to.

Allowed values: [0,65535]

Default value: 4953

## See Also

#multifdsink